commit:     46371c213aef1ce350d36e789f5919af1c5fcf78
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun May 27 14:47:08 2018 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun May 27 17:48:42 2018 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=46371c21

gnome-extra/gnome-boxes: 3.24.1-r1 → 3.26.2

Allow resizing disks with snapshots.
VM now run in background during install.
Update various bits to glib/gtk+ new APIs.
Add shared folders support.

Package-Manager: Portage-2.3.40, Repoman-2.3.9
Manifest-Sign-Key: 0x5A56C8CD0C13248A

 ...boxes-9999.ebuild => gnome-boxes-3.26.2.ebuild} | 52 +++++++++-------------
 gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild    | 16 +++----
 2 files changed, 30 insertions(+), 38 deletions(-)

diff --git a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild 
b/gnome-extra/gnome-boxes/gnome-boxes-3.26.2.ebuild
similarity index 68%
copy from gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
copy to gnome-extra/gnome-boxes/gnome-boxes-3.26.2.ebuild
index 40462419..d7281d4d 100644
--- a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
+++ b/gnome-extra/gnome-boxes/gnome-boxes-3.26.2.ebuild
@@ -1,32 +1,33 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 VALA_USE_DEPEND="vapigen"
-VALA_MIN_API_VERSION="0.28"
+VALA_MIN_API_VERSION="0.36"
 
 inherit gnome2 linux-info readme.gentoo-r1 vala
-if [[ ${PV} = 9999 ]]; then
-       inherit gnome2-live
-fi
 
 DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
 HOMEPAGE="https://wiki.gnome.org/Apps/Boxes";
 
 LICENSE="LGPL-2"
 SLOT="0"
-IUSE="bindist"
-if [[ ${PV} = 9999 ]]; then
-       KEYWORDS=""
-else
-       KEYWORDS="~amd64" # qemu-kvm[spice] is 64bit-only
-fi
+
+# We force 'bindist' due to licenses from gnome-boxes-nonfree
+IUSE="" #bindist
+
+KEYWORDS="~amd64"
 
 # NOTE: sys-fs/* stuff is called via exec()
 # FIXME: ovirt is not available in tree
+# FIXME: use vala.eclass but only because of libgd not being able
+#        to use its pre-generated files so do not copy all the
+#        vala deps like live ebuild has.
+# FIXME: qemu probably needs to depend on spice[smartcard]
+#        directly with USE=spice
 RDEPEND="
        >=app-arch/libarchive-3:=
-       >=dev-libs/glib-2.38:2
+       >=dev-libs/glib-2.52:2
        >=dev-libs/gobject-introspection-0.9.6:=
        >=dev-libs/libxml2-2.7.8:2
        >=sys-libs/libosinfo-0.2.12
@@ -34,38 +35,29 @@ RDEPEND="
        >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
        >=app-emulation/libvirt-glib-0.2.3
        >=x11-libs/gtk+-3.19.8:3
-       >=net-libs/gtk-vnc-0.4.4[gtk3]
+       >=net-libs/gtk-vnc-0.4.4[gtk3(+)]
        app-crypt/libsecret
        app-emulation/spice[smartcard]
-       >=net-misc/spice-gtk-0.32[gtk3,smartcard,usbredir]
+       >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir]
        virtual/libusb:1
 
        >=app-misc/tracker-0.16:0=[iso]
 
-       >=sys-apps/util-linux-2.20
-       >=net-libs/libsoup-2.38:2.4
+       >=net-libs/libsoup-2.44:2.4
 
        sys-fs/mtools
        >=virtual/libgudev-165:=
-       !bindist? ( gnome-extra/gnome-boxes-nonfree )
 "
+#      !bindist? ( gnome-extra/gnome-boxes-nonfree )
+# libxml2+gdk-pixbuf required for glib-compile-resources
 DEPEND="${RDEPEND}
+       $(vala_depend)
        app-text/yelp-tools
-       >=dev-util/intltool-0.40
-       >=sys-devel/gettext-0.17
+       >=sys-devel/gettext-0.19.8
        virtual/pkgconfig
+       x11-libs/gdk-pixbuf:2
 "
 
-if [[ ${PV} = 9999 ]]; then
-       DEPEND="${DEPEND}
-               $(vala_depend)
-               sys-libs/libosinfo[introspection,vala]
-               app-emulation/libvirt-glib[introspection,vala]
-               net-libs/gtk-vnc[introspection,vala]
-               net-misc/spice-gtk[introspection,vala]
-               net-libs/rest:0.7[introspection]"
-fi
-
 DISABLE_AUTOFORMATTING="yes"
 DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM 
modules.
 If you have an Intel Processor, run:
@@ -88,7 +80,7 @@ pkg_pretend() {
 src_prepare() {
        # Do not change CFLAGS, wondering about VALA ones but appears to be
        # needed as noted in configure comments below
-       sed 's/CFLAGS="$CFLAGS -O0 -ggdb3"//' -i configure.ac || die
+       sed 's/CFLAGS="$CFLAGS -O0 -ggdb3"//' -i configure{.ac,} || die
 
        vala_src_prepare
        gnome2_src_prepare

diff --git a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild 
b/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
index 40462419..1998516e 100644
--- a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
+++ b/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 VALA_USE_DEPEND="vapigen"
-VALA_MIN_API_VERSION="0.28"
+VALA_MIN_API_VERSION="0.36"
 
 inherit gnome2 linux-info readme.gentoo-r1 vala
 if [[ ${PV} = 9999 ]]; then
@@ -34,26 +34,26 @@ RDEPEND="
        >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
        >=app-emulation/libvirt-glib-0.2.3
        >=x11-libs/gtk+-3.19.8:3
-       >=net-libs/gtk-vnc-0.4.4[gtk3]
+       >=net-libs/gtk-vnc-0.4.4[gtk3(+)]
        app-crypt/libsecret
        app-emulation/spice[smartcard]
-       >=net-misc/spice-gtk-0.32[gtk3,smartcard,usbredir]
+       >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir]
        virtual/libusb:1
 
        >=app-misc/tracker-0.16:0=[iso]
 
-       >=sys-apps/util-linux-2.20
-       >=net-libs/libsoup-2.38:2.4
+       >=net-libs/libsoup-2.44:2.4
 
        sys-fs/mtools
        >=virtual/libgudev-165:=
        !bindist? ( gnome-extra/gnome-boxes-nonfree )
 "
+# libxml2+gdk-pixbuf required for glib-compile-resources
 DEPEND="${RDEPEND}
        app-text/yelp-tools
-       >=dev-util/intltool-0.40
-       >=sys-devel/gettext-0.17
+       >=sys-devel/gettext-0.19.8
        virtual/pkgconfig
+       x11-libs/gdk-pixbuf:2
 "
 
 if [[ ${PV} = 9999 ]]; then

Reply via email to